/*************************************************************************
  (c) Copyright.  Digital Equipment Corporation, 1995.  All Rights
  Reserved.

  Permission is hereby granted to use, copy, modify, or enhance this 
  software freely, as long as the foregoing copyright of Digital Equipment
  Corporation and this notice are retained on the software.  This 
  software may not be distributed or sublicensed for a fee.  Digital      
  makes this software available "AS IS" and without warranties of any
  kind.  
 *************************************************************************/

/* g_endian.h
 */

#define hton16(x) ((UINT16) (((((UINT16) (x)) & 0xff00) >> 8) | \
                             ((((UINT16) (x)) & 0x00ff) << 8)))

#define ntoh16(x) ((UINT16) (((((UINT16) (x)) & 0xff00) >> 8) | \
                             ((((UINT16) (x)) & 0x00ff) << 8)))

#define hton32(x) ((UINT32) (((((UINT32) (x)) & 0xff000000) >> 24) | \
                             ((((UINT32) (x)) & 0x00ff0000) >> 8)  | \
                             ((((UINT32) (x)) & 0x0000ff00) << 8)  | \
                             ((((UINT32) (x)) & 0x000000ff) << 24)))

#define ntoh32(x) ((UINT32) (((((UINT32) (x)) & 0xff000000) >> 24) | \
                             ((((UINT32) (x)) & 0x00ff0000) >> 8)  | \
                             ((((UINT32) (x)) & 0x0000ff00) << 8)  | \
                             ((((UINT32) (x)) & 0x000000ff) << 24)))
